Subject: Re: linux-next: Tree for Feb 18 (sound/soc/codecs/wm5110.c)

From: Mark Brown <[email-masked]>
Date: Tue, 18 Feb 2020 11:31:16 +0000

On Tue, Feb 18, 2020 at 10:09:59AM +0000, Charles Keepax wrote:

> 1) We could update the machine drivers to do an imply as well,
> like the changes to SND_SOC_ALL_CODECS. I think this will
> generally work but doesn't really feel right as you can end up with
> the machine driver built without the CODEC.

Yes, that's not helpful.

> 2) We could update the machine drivers to a depends on and make
> the CODEC symbols manually selectable. I guess this also has the
> advantages that it would be necessary for the simple card stuff
> that seems to be everyones first choice for machine drivers these
> days.

That's not good, it means people have to know exactly what CODECs and
DAIs are on their board to even see the config option.

> Mark do you have any strong feelings on this I am leaning towards
> 2?

Why not just continue adding the relevant dependencies to the machine
drivers like we've always done?